#include<bits/stdc++.h>
using namespace std;
long long chislo[100001];
map<pair<int,int>,long long> suma;
long long pobit(int x,int y){
    if(x==y-1){
        return chislo[x]|chislo[y];
    }
    else if(suma[{x,y}]>0){
        return suma[{x,y}];
    }
    else{
        suma[{x,y}]=pobit(x,y-1)|chislo[y];
    }
    return suma[{x,y}];
}
int main(){
long long n,koef,br=0;
cin>>n>>koef;
for(int i=0;i<n;i++){
    cin>>chislo[i];
}
for(int j=0;j<n;j++){
    for(int h=j+1;h<n;h++){
        if(pobit(j,h)>=koef){
            br++;
        }
    }
}
cout<<br;
return 0;
}

